"use client";
import { useEffect } from "react";

export default function RegisterSW() {
  useEffect(() => {
    if ("serviceWorker" in navigator) {
      navigator.serviceWorker.register("/service-worker.js").then(() => {
        console.log("Service Worker Registered!");
      });
    }
  }, []);

  return null; // این کامپوننت هیچ UI نداره، فقط Service Worker رو ثبت می‌کنه.
}
